/* Timeline! */
#top .timelinefilters {
    font-size: 150%;
    margin-bottom: 0;
}

#top .timelinefilters .yearfilter select {
    width: auto;
    padding-right: 3em;
}

#top .timelinefilters .typefilter {
    margin-bottom: 20px;
}

#top .timelinefilters .typefilter label {
    display: block;
}

#top .timelinefilters .typefilter label img {
    max-height: 18px;
}

@media(min-width: 768px) {
    .timelinefilters {
	display: flex;
    }
    .timelinefilters > div {
	padding-right: 2em;
    }
    #top .timelinefilters .typefilter label {
	display: inline;
	white-space: nowrap;
	padding-right: 0.5em;
    }
}

#top #wrap_all .timelinefilters .yearfilter label,
#top #wrap_all .timelinefilters .typefilter h3 {
    color: #40568c;
    font-size: 24px;
    margin: 4px 0 3px;
    font-weight: normal;
}

#top .filterresetbutton {
    margin-bottom: 2rem;
}

#top .filterresetbutton p {
    margin: 0;
}
.timelineitems {
    position: relative;
    background-color: #fff;
    padding: 5px;
}
.timelineitems::before {
    content: '';
    position: absolute;
    top: 0;
    left: 18px;
    height: 100%;
    width: 4px;
    background: #d8e5ee;
}

.timelineitem-block {
    display: flex;
    margin-bottom: 2em;
    z-index: 1;
    position: relative;
    transition: all .2s ease-in-out;
}

.timelineitem {
    width: 80%;
    /* width: calc( 50% - 46px); */
    position: relative;
    margin-left: 60px;
}

@media(min-width: 768px) {
    .timelineitems::before {
	left:50%;
	-webkit-transform: translateX(-50%);
	-ms-transform: translateX(-50%);
	transform:translateX(-50%);
    }

    .timelineitem-block:hover {
	transform: scale(1.1);
    }

    .timelineitem {
	width: 45%;
	width: calc( 50% - 46px);
	margin-left: 0;
    }

    .timelineitem h3 {
	position: absolute;
	width: 100%;
	left: 123%;
	left: calc( 100% + 95px );
	top: 22px;
	margin: 0;
    }

    .timelineitem-block.textbox-right {
	-ms-flex-direction: row-reverse;
	flex-direction: row-reverse;
    }

    .timelineitem-block.textbox-right .timelineitem h3 {
	left: auto;
	right: 123%;
	right: calc( 100% + 95px );
	text-align: right;
    }
}


.timelineitem {
    font-size: 1.5rem;
    line-height: 1;
    margin-bottom: 1rem;
    padding: 1em;
    background-color: #e1e1e1;
    box-sizing: border-box;
    border-radius: 4px;
    --timeline-shadow-color: #333;
    box-shadow: 0 3px 0 var(--timeline-shadow-color);
}

.timelineitem::before {
    content: '';
    position: absolute;
    top: 19px;
    right: 100%;
    width: 0;
    height: 0;
    border: 12px solid transparent;
    border-right-color: #e1e1e1;
}

@media(min-width: 768px) {
    .timelineitem-block.textbox-left .timelineitem::before {
	right: auto;
	left: 100%;
	width: 0;
	height: 0;
	border-right-color: transparent;
	border-left-color: #e1e1e1;
    }
}

.timelineitem h3 {
    display: inline;
    font-size: 1.6rem;
    letter-spacing: 0.03rem;
}

.timelineitem-block.type-trialgroup_arrest .timelineitem,
.timelineitem-block.type-arrest .timelineitem {
    --timeline-shadow-color: #900;
}
.timelineitem-block.type-trial .timelineitem,
.timelineitem-block.type-trialgroup_trial .timelineitem {
    --timeline-shadow-color: #f93;
}
.timelineitem-block.type-incidentgroup .timelineitem,
.timelineitem-block.type-incident .timelineitem {
    --timeline-shadow-color: #009;
}
.timelineitem-block.type-govcivil .timelineitem {
    --timeline-shadow-color: #909;
}
.timelineitem-block.type-prison .timelineitem {
    --timeline-shadow-color: #090;
}

.timelinefilters .typefilter .arrest,
.timelineitem-block.type-trialgroup_arrest .timelineitem h3,
.timelineitem-block.type-arrest .timelineitem h3 {
    color: #900;
}
.timelinefilters .typefilter .trial,
.timelineitem-block.type-trial .timelineitem h3,
.timelineitem-block.type-trialgroup_trial .timelineitem h3 {
    color: #f93;
}
.timelinefilters .typefilter .incident,
.timelineitem-block.type-incidentgroup .timelineitem h3,
.timelineitem-block.type-incident .timelineitem h3 {
    color: #009;
}
.timelinefilters .typefilter .govcivil,
.timelineitem-block.type-govcivil .timelineitem h3 {
    color: #909;
}
.timelinefilters .typefilter .prison,
.timelineitem-block.type-prison .timelineitem h3 {
    color: #090;
}

.timelineitem a.more-info { font-size: 1.2rem; }

.timelineitem-img {
    order: 1;
    margin: 11px 26px;
    width: 40px;
    height: 40px;
    box-shadow: 0 0 0 4px #e1e1e1, inset 0 2px 0px rgba(0,0,0,0.08), 0 3px 0 3px rgba(0,0,0,0.2);
    border-radius: 20px;
    display: flex;
    justify-content: center;
    align-items: center;
    position: absolute;
    left: -31px;
    background-color: white;
}
.timelineitem-img img {
    width: 40px;
    border-radius: 20px;
}

@media(min-width: 768px) {
    .timelineitem-img {
	left: 45%;
	left: calc( 50% - 45px );
    }
}